---

# for geerlingguy.docker role
docker_users: [ansibleadmin]

# variabls when using community.general.gitlab_runner
# project_access_token: 'GR1348941o6HbpKqzWguAW-D2Zrr3'



# for gitlab_runner_reimers role

# for versions >= 10.x
gitlab_runner_package_name: 'gitlab-runner'

gitlab_runner_system_mode: yes

# gitlab_runner_package_version for version pinning on debian/redhat
# The following are for version pinning on MacOSX
# gitlab_runner_wanted_version: latest

# Maximum number of global jobs to run concurrently
gitlab_runner_concurrent: '{{ ansible_processor_vcpus }}'

# GitLab coordinator URL
gitlab_runner_coordinator_url: 'https://gitlab.com'
# gitlab_runner_coordinator_url: 'https://pendancer.com'

# GitLab registration token
# gitlab_runner_registration_token: 'Fa5ZBs6SqdSZVzytRprc'
gitlab_runner_registration_token: 'GR1348941HFZj4myUPyqznTL9gDbY'
# gitlab_runner_registration_token: 'GR1348941UQtMzcn5MV61D9cd3ty3'


# gitlab_runner_sentry_dsn: ''

# # Prometheus Metrics & Monitoring
# gitlab_runner_listen_address: ''

# Session server configuration
# gitlab_runner_session_server_listen_address: ''
# gitlab_runner_session_server_advertise_address: ''
# gitlab_runner_session_server_session_timeout: 1800

# Skip the APT or YUM repository installation
# You should provide a repository containing the needed packages before running this role.
# Use this if you use a mirror repository
# gitlab_runner_skip_package_repo_install: true

# The credentials for the Windows user used to run the gitlab-runner service.
# Those credentials will be passed to `gitlab-runner.exe install`.
# https://docs.gitlab.com/runner/install/windows.html
# gitlab_runner_windows_service_user: ''
# gitlab_runner_windows_service_password: ''

# default values for gitlab in container
gitlab_runner_container_install: true
gitlab_runner_container_image: gitlab/gitlab-runner
gitlab_runner_container_tag: latest
gitlab_runner_container_name: gitlab-runner
gitlab_runner_container_mount_path: '/home/ansibleadmin/containerfolder'
gitlab_runner_container_restart_policy: unless-stopped
# you can define a network which the container connects to
# this option uses network_mode, thus 'default' will use the first network found in docker network list
# gitlab_runner_container_network: default

# default state to restart
# gitlab_runner_restart_state: restarted

# default value for log_format
# gitlab_runner_log_format: runner

# controls diffs for assemle config file
# gitlab_runner_show_config_diff: no

# A list of runners to register and configure
gitlab_runner_runners:
  - name: 'Docker GitLab Runner'
    executor: docker
    docker_image: 'alpine'
    tags:
      - node
      - ruby
      - mysql
      - python
      - docker-linux
    run_untagged: true
    docker_volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
      - "/cache"
    extra_configs:
      runners.docker:
        memory: 512m
        # allowed_images: ["ruby:*", "python:*", "php:*"]
      runners.docker.sysctls:
        net.ipv4.ip_forward: "1"